ReleaseSharedCacheResourceRequestPBImpl (Apache Hadoop YARN Common 3.5.0 API)
Description: declaration: package: org.apache.hadoop.yarn.api.protocolrecords.impl.pb, class: ReleaseSharedCacheResourceRequestPBImpl

Package org.apache.hadoop.yarn.api.protocolrecords.impl.pb

# Class ReleaseSharedCacheResourceRequestPBImpl

java.lang.Object
org.apache.hadoop.yarn.api.protocolrecords.ReleaseSharedCacheResourceRequest
org.apache.hadoop.yarn.api.protocolrecords.impl.pb.ReleaseSharedCacheResourceRequestPBImpl

public class ReleaseSharedCacheResourceRequestPBImpl extends org.apache.hadoop.yarn.api.protocolrecords.ReleaseSharedCacheResourceRequest

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ReleaseSharedCacheResourceRequestPBImpl()`
  `ReleaseSharedCacheResourceRequestPBImpl(org.apache.hadoop.yarn.proto.YarnServiceProtos.ReleaseSharedCacheResourceRequestProto proto)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `org.apache.hadoop.yarn.api.records.ApplicationId`
  `getAppId()`
  `org.apache.hadoop.yarn.proto.YarnServiceProtos.ReleaseSharedCacheResourceRequestProto`
  `getProto()`
  `String`
  `getResourceKey()`
  `void`
  `setAppId(org.apache.hadoop.yarn.api.records.ApplicationId id)`
  `void`
  `setResourceKey(String key)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ReleaseSharedCacheResourceRequestPBImpl

    public ReleaseSharedCacheResourceRequestPBImpl()

  - ### ReleaseSharedCacheResourceRequestPBImpl

    public ReleaseSharedCacheResourceRequestPBImpl(org.apache.hadoop.yarn.proto.YarnServiceProtos.ReleaseSharedCacheResourceRequestProto proto)

- ## Method Details

  - ### getProto

    public org.apache.hadoop.yarn.proto.YarnServiceProtos.ReleaseSharedCacheResourceRequestProto getProto()

  - ### getAppId

    public org.apache.hadoop.yarn.api.records.ApplicationId getAppId()
    Specified by:
      `getAppId` in class `org.apache.hadoop.yarn.api.protocolrecords.ReleaseSharedCacheResourceRequest`

  - ### setAppId

    public void setAppId(org.apache.hadoop.yarn.api.records.ApplicationId id)
    Specified by:
      `setAppId` in class `org.apache.hadoop.yarn.api.protocolrecords.ReleaseSharedCacheResourceRequest`

  - ### getResourceKey

    public String getResourceKey()
    Specified by:
      `getResourceKey` in class `org.apache.hadoop.yarn.api.protocolrecords.ReleaseSharedCacheResourceRequest`

  - ### setResourceKey

    public void setResourceKey(String key)
    Specified by:
      `setResourceKey` in class `org.apache.hadoop.yarn.api.protocolrecords.ReleaseSharedCacheResourceRequest`